package applets.conta;

public class CadastroContas {
  private ConjuntoContas contas = new ConjuntoContas(20);

  /* ... */

  public void cadastrar(Conta c) throws CEException,IllegalArgumentException {
    if (c != null) {
      String n = c.getNumero();
      if (!contas.existe(n))
        contas.inserir(c);
      else throw new CEException(n);
    } else throw new IllegalArgumentException();
  }

  public void remover(String n) throws CNEException{
    contas.remover(n);
  }

  public void debitar(String n, double v) throws SIException, CNEException {
     Conta c = contas.procurar(n);
     c.debitar(v);
   }

  public void creditar(String n, double v) throws CNEException {
     Conta c = contas.procurar(n);
     c.creditar(v);
   }

  public Conta procurar(String n) throws CNEException{
    return contas.procurar(n);
  }
}